org.apache.solr.client.solrj.cloud.autoscaling

## Interface NodeStateProvider

All Known Implementing Classes:
  DelegatingNodeStateProvider, SolrClientNodeStateProvider

    public interface NodeStateProvider

This interface models the access to node and replica information.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Object>` `getNodeValues(String node, Collection<String> tags)` Get the value of each tag for a given node
`Map<String,Map<String,List<ReplicaInfo>>>` `getReplicaInfo(String node, Collection<String> keys)` Get the details of each replica in a node.

### Method Detail

#### getNodeValues

    Map<String,Object> getNodeValues(String node,
                                     Collection<String> tags)

Get the value of each tag for a given node

Parameters:
  `node` - node name
  `tags` - tag names
Returns:
  a map of tag vs value

#### getReplicaInfo

    Map<String,Map<String,List<ReplicaInfo>>> getReplicaInfo(String node,
                                                             Collection<String> keys)

Get the details of each replica in a node. It attempts to fetch as much details about the replica as mentioned in the keys list. It is not necessary to give all details

The format is {collection:shard :[{replicadetails}]}.